summaryrefslogtreecommitdiffstats
path: root/src/etc/init.d/hostname
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/init.d/hostname')
-rw-r--r--src/etc/init.d/hostname13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/etc/init.d/hostname b/src/etc/init.d/hostname
new file mode 100644
index 0000000..aec1102
--- /dev/null
+++ b/src/etc/init.d/hostname
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Setting hostname... '
+ [ -f /etc/hostname ] && hostname -F /etc/hostname || hostname none
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s start\n' "${0}" >&2
+ exit 1
+ ;;
+esac